import React, { useEffect } from 'react';

import { useQuery, gql } from "@apollo/client";
import { useParams } from 'react-router-dom';

const DetailAnnonce = () => {
    const { annonceId } = useParams();
   
    const GET_ANNONCE_QUERY = gql`
        query getAnnonceById($annonceId: ID!) {
            getAnnonceById(annonceId: $annonceId) {
            _id
            title
            type
            status
            published
            price
            description
            availabilityDate
            assessments {
                _id
                text 
                annonceId
                answers {
                _id
                text
                }
            }
            }
        }
    `;

    // const onClick = (annonceId) => {
    //     const id = GraphQLID.parseValue(annonceId);
    //     deleteAnnonce({ variables: { annonceId: id } });        
    // }   
   
    const { loading, error, data } = useQuery(GET_ANNONCE_QUERY, {
        variables: {
            annonceId: annonceId
        },
        errorPolicy: 'all'
    });
    if (loading) return 'Loading...';
    if (error) return `Error! ${error.message}`;    

    return (
        <div>
            <img src="img.jpeg"/>
            <h3>{data.getAnnonceById.title}</h3>
            <p>{data.getAnnonceById.description}</p>
            {/* <button onClick={e => onClick(annonce._id)}>X</button> */}
        </div>                    
    )
        
}
export default DetailAnnonce